Skip to main content
POST

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:2025-10
required

Required date-based version header

Path Parameters

index_name
string
required

Name of the index to backup

Body

application/json

The desired configuration for the backup.

The configuration needed to create a backup of an index.

name
string

The name of the backup.

description
string

A description of the backup.

Response

The backup has been successfully created.

The BackupModel describes the configuration and status of a Pinecone backup.

backup_id
string
required

Unique identifier for the backup.

Example:

"670e8400-e29b-41d4-a716-446655440001"

source_index_name
string
required

Name of the index from which the backup was taken.

Example:

"my-index"

source_index_id
string
required

ID of the index.

Example:

"670e8400-e29b-41d4-a716-446655440000"

status
string
required

Current status of the backup (e.g., Initializing, Ready, Failed).

Example:

"Ready"

cloud
string
required

Cloud provider where the backup is stored.

Example:

"aws"

region
string
required

Cloud region where the backup is stored.

Example:

"us-east-1"

name
string

Optional user-defined name for the backup.

Example:

"backup-2025-02-04"

description
string

Optional description providing context for the backup.

Example:

"Backup before bulk update."

dimension
integer<int32>

The dimensions of the vectors to be inserted in the index.

Required range: 1 <= x <= 20000
Example:

1536

metric
string

The distance metric to be used for similarity search. You can use 'euclidean', 'cosine', or 'dotproduct'. If the 'vector_type' is 'sparse', the metric must be 'dotproduct'. If the vector_type is dense, the metric defaults to 'cosine'. Possible values: cosine, euclidean, or dotproduct.

schema
object

Schema for the behavior of Pinecone's internal metadata index. By default, all metadata is indexed; when schema is present, only fields which are present in the fields object with a filterable: true are indexed. Note that filterable: false is not currently supported.

Example:
record_count
integer

Total number of records in the backup.

Example:

120000

namespace_count
integer

Number of namespaces in the backup.

Example:

3

size_bytes
integer

Size of the backup in bytes.

Example:

10000000

tags
object

Custom user tags added to an index. Keys must be 80 characters or less. Values must be 120 characters or less. Keys must be alphanumeric, '', or '-'. Values must be alphanumeric, ';', '@', '', '-', '.', '+', or ' '. To unset a key, set the value to be an empty string.

Example:
created_at
string

Timestamp when the backup was created.